<?php
namespace Teknisa\MAN\Controllers;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Teknisa\MAN\Services\RelInconsistenciasSincronizacaoPedidosService;
use Teknisa\MAN\Utilities;

class RelInconsistenciasSincronizacaoPedidos  extends CrudWithParameterBag {
    
    protected $utilService;
              
    public function __construct ($crudService, $parameterBag, $entityManager, Utilities\Util $utilService, Manager $dataSourceManager, RelInconsistenciasSincronizacaoPedidosService $RelInconsistenciasSincronizacaoPedidosService) {
        $this->crudService               = $crudService;
        $this->parameterBag              = $parameterBag;
        $this->entityManager             = $entityManager;
        $this->utilService               = $utilService;
        $this->dataSourceManager         = $dataSourceManager;
        $this->RelInconsistenciasSincronizacaoPedidosService = $RelInconsistenciasSincronizacaoPedidosService;
    }
    
    public function findReport( $request,  $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $response->addDataSet(new DataSet("orm00032_relInconsistenciasSincronizacaoPedidos", 
        $this->RelInconsistenciasSincronizacaoPedidosService->fetchReport($conditions)));
        return $response;
    }
    
}