<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class SelectManuFidelidade extends CrudWithParameterBag {
    
    protected $dataSourceName = 'select_manutcampfide'; 
    
    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag) {
        parent::__construct($dataSourceManager, $parameterBag);
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = 'select_manutcampfide';
        $this->parameterBagColumns = array('CDCONSUMIDOR', 'CDFILIAL', 'CDCAMPANHA', 'CDCLIENTE', 'NRORG', 'DATAINI');
    	parent::find($request, $response);
    }
   
}